/*
 * BoxException.java
 *
 * Created on 02 June 2005, 13:48
 */

/**
 * Exception thrown if a Box instance is not valid or
 * a (x,y) point is outside of the Box.
 * @author sara
 */
public class BoxException extends Exception{
    
    /** Creates a new instance of BoxException */
    public BoxException() {
    }
    /** Creates a new instance of BoxException 
     * @param error the error message thrown with the
     * exception
     */
    public BoxException(String error){
        super("Box: "+error);
    }
}
